2

I'm running QGIS 3.4 Madeira on Linux Mint 17. The upgrade to 3.4 seemed to go smoothly, but there is no "3D View" option in my "View" menu.

Is there something else I need to do? FWIW QGIS 3 J's works OK.

  • 2
    3D requires Qt 5.9 and above. QGIS 3.4 Madeira doesn't have it. – xunilk Aug 19 at 15:32
  • Yet there are plenty of pages showcasing or with tutorials eg lutraconsulting.co.uk/blog/2018/10/17/… or here gis.stackexchange.com/questions/302202/… so is it just the Linux version that doesn't have Qt 5.9? – user3418765 Aug 19 at 16:03
  • Your QGIS 3.4 Madeira probably doesn't have it. Click on Help -> About where you can corroborate that ('Compiled against Qt', 'Running against Qt'). By the way, latest release of Linux Mint is 19.2 (you have old 17 version), – xunilk Aug 19 at 16:14
2

As touched on in the comments above, your distro has a very outdated version of the Qt libraries where required 3D functionality is not available. You need to update your distro to remedy this.

  • Thanks. This'll be the shove I need to make that happen. I was planning a PC revamp & have been putting it off – user3418765 Aug 20 at 18:51

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.